Package org.opensaml.saml.saml2.core.impl

# Class AssertionMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.saml.common.AbstractSAMLObjectMarshaller
org.opensaml.saml.saml2.core.impl.AssertionMarshaller

All Implemented Interfaces:
  `Marshaller`

public class AssertionMarshaller extends AbstractSAMLObjectMarshaller
A thread-safe Marshaller for `Assertion`.

## Constructor Summary

Constructors
Constructor
Description
`AssertionMarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`marshallAttributeIDness(XMLObject xmlObject, Element domElement)`
Marshalls the IDness of the ID attribute present on the element, if any.
`protected void`
`marshallAttributes(XMLObject xmlObject, Element domElement)`
No-op method.

### Methods inherited from class org.opensaml.saml.common.AbstractSAMLObjectMarshaller

`marshall, marshall, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AssertionMarshaller

public AssertionMarshaller()

## Method Details

### marshallAttributes

protected void marshallAttributes(@Nonnull XMLObject xmlObject, @Nonnull Element domElement) throws MarshallingException
No-op method. Extending implementations should override this method if they have attributes to marshall into the Element. Marshalls a given XMLObject into a W3C Element. The given signing context should be blindly passed to the marshaller for child elements. The XMLObject passed to this method is guaranteed to be of the target name specified during this unmarshaller's construction. This default implementation of this method is a no-op

Overrides:
  `marshallAttributes` in class `AbstractSAMLObjectMarshaller`
Parameters:
  `xmlObject` - the XMLObject to marshall
  `domElement` - the W3C DOM element
Throws:
  `MarshallingException` - thrown if there is a problem marshalling the element

### marshallAttributeIDness

protected void marshallAttributeIDness(@Nonnull XMLObject xmlObject, @Nonnull Element domElement) throws MarshallingException
Marshalls the IDness of the ID attribute present on the element, if any. The default implementation here handles the wildcard attributes in the `AttributeMap` if the XMLObject is an instance of `AttributeExtensibleXMLObject`, via `XMLObjectSupport.marshallAttributeMapIDness(AttributeMap, Element)`.

Overrides:
  `marshallAttributeIDness` in class `AbstractXMLObjectMarshaller`
Parameters:
  `xmlObject` - the XMLObject to marshall
  `domElement` - the W3C DOM element
Throws:
  `MarshallingException` - thrown if there is a problem marshalling the element